/* $Id: mzibutil.h,v 1.3 1996/10/11 15:15:33 bzferdma Exp $ */

#ifndef ZIBUTIL_H
#define ZIBUTIL_H


#include <stdlib.h>
#include <ctype.h>
#include <math.h>

#include "general.h"

#ifndef nil
#define nil 0L
#endif

#ifndef NUL
#define NUL '\0'
#endif

#define ZERO 0.0
#define ONE 1.0
#define TWO 2.0
#define THREE 3.0
#define FOUR 4.0
#define EIGHT 8.0
#define HALF 0.5
#define QUARTER 0.25

const Real SIXTH = 1./6.;

#define RMIN -1.0E20
#define RMAX 1.0E20
#define REALPI   (3.14159265358979323846)
#define REALPI2  (1.57079632679489661923)
#define SQRT3    (1.73205080756887719318)
#define SQRT2    (1.41421356237309514547)


extern char* ZIBAlloc(long size);
extern void  ZIBFree(char* buf);
extern int   ZIBStdOut(char* s);
extern int   ZIBReadFile(const char* name, char** buffer);
extern int   ZIBPrintf(char* format,char* p1,char* p2,char* p3,char* p4);
extern int   ZIBCreateFile(char* name);
extern void  ZIBNL();
extern char* globBuf;

#endif
